AbstractJavaDataSetRegistrationDropboxV2 (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, class: AbstractJavaDataSetRegistrationDropboxV2

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Class AbstractJavaDataSetRegistrationDropboxV2

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.AbstractJavaDataSetRegistrationDropboxV2

All Implemented Interfaces:
  `ch.ethz.cisd.hotdeploy.Plugin`, `IJavaDataSetRegistrationDropboxV2`

public abstract class AbstractJavaDataSetRegistrationDropboxV2 extends Object implements IJavaDataSetRegistrationDropboxV2
An abstract superclass for V2 dropboxes implemented in java

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractJavaDataSetRegistrationDropboxV2()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `isRetryFunctionDefined()`
  A retry function is always defined.
  `void`
  `postMetadataRegistration(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context)`
  Default implementation is to do nothing.
  `void`
  `postStorage(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context)`
  Default implementation is to do nothing.
  `void`
  `preMetadataRegistration(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context)`
  Default implementation is to do nothing.
  `void`
  `rollbackPreRegistration(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context, Throwable throwable)`
  Default implementation is to do nothing.
  `boolean`
  `shouldRetryProcessing(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context, Exception problem)`
  Default implementation is to not retry processing.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ch.systemsx.cisd.etlserver.registrator.api.v2.IJavaDataSetRegistrationDropboxV2

  `process`

- ## Constructor Details

  - ### AbstractJavaDataSetRegistrationDropboxV2

    public AbstractJavaDataSetRegistrationDropboxV2()

- ## Method Details

  - ### postStorage

    public void postStorage(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context)
    Default implementation is to do nothing. Subclasses may override.
    Specified by:
      `postStorage` in interface `IJavaDataSetRegistrationDropboxV2`
    Parameters:
      `context` - Context of the registration. Offers access to the global state and persistent map.

  - ### preMetadataRegistration

    public void preMetadataRegistration(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context)
    Default implementation is to do nothing. Subclasses may override.
    Specified by:
      `preMetadataRegistration` in interface `IJavaDataSetRegistrationDropboxV2`
    Parameters:
      `context` - Context of the registration. Offers access to the global state and persistent map.

  - ### postMetadataRegistration

    public void postMetadataRegistration(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context)
    Default implementation is to do nothing. Subclasses may override.
    Specified by:
      `postMetadataRegistration` in interface `IJavaDataSetRegistrationDropboxV2`
    Parameters:
      `context` - Context of the registration. Offers access to the global state and persistent map.

  - ### rollbackPreRegistration

    public void rollbackPreRegistration(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context, Throwable throwable)
    Default implementation is to do nothing. Subclasses may override.
    Specified by:
      `rollbackPreRegistration` in interface `IJavaDataSetRegistrationDropboxV2`
    Parameters:
      `context` - Context of the registration. Offers access to the global state and persistent map.
      `throwable` - The throwable that triggered rollback.

  - ### isRetryFunctionDefined

    public final boolean isRetryFunctionDefined()
    A retry function is always defined.
    Specified by:
      `isRetryFunctionDefined` in interface `IJavaDataSetRegistrationDropboxV2`
    Returns:
      true shouldRetryProcessing is defined, false otherwise.

  - ### shouldRetryProcessing

    public boolean shouldRetryProcessing(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationContext context, Exception problem) throws ch.systemsx.cisd.common.exceptions.NotImplementedException
    Default implementation is to not retry processing.
    Specified by:
      `shouldRetryProcessing` in interface `IJavaDataSetRegistrationDropboxV2`
    Parameters:
      `context` - Context of the registration. Offers access to the global state and persistent map.
      `problem` - The exception that caused the registration to fail.
    Returns:
      false
    Throws:
      `ch.systemsx.cisd.common.exceptions.NotImplementedException`